Page MenuHomeMiraheze

Interwiki for all Miraheze wikis
Closed, ResolvedPublic

Description

Requested here: https://meta.miraheze.org/wiki/Requests_for_Comment/Globally_mutual_interwiki_links_among_all_Miraheze_wikis, to have an interwiki link for each miraheze wiki, such as MH:metawiki:Page

Event Timeline

Reception123 triaged this task as Normal priority.Aug 3 2018, 15:53
Reception123 created this task.

No, that’s was a request to have a wiki like Wikimedia Commons

Reception123 updated the task description. (Show Details)Aug 3 2018, 16:51

Changed the link.

MacFan4000 added a comment.EditedAug 3 2018, 17:11

So, I tried this on my test wiki, and I couldn’t get it to work properly.

Void added a comment.Aug 4 2018, 03:54

Aside from writing up a brand new extension, we could possibly pull this off by creating a wiki (called interwikiwiki or something), add a link to it in the global interwiki, and then in the interwikiwiki interwiki, add interwiki links to all wikis (probably using a bot to scan WikiDiscover). Then, it should be possible to interwiki to interwikiwiki, which then would redirect you to the wiki from your link. Hope that makes sense!

John added a subscriber: John.Aug 4 2018, 08:47

Why an extension? Easily a class for MirahezeMagic.

DScowlsend closed this task as Resolved.Aug 12 2018, 10:36
DScowlsend claimed this task.
DScowlsend raised the priority of this task from Normal to Unbreak Now!.
Sau226 reopened this task as Open.Aug 12 2018, 11:31
Sau226 removed DScowlsend as the assignee of this task.
Sau226 lowered the priority of this task from Unbreak Now! to Normal.
Sau226 removed projects: Amanda, Amanda Catherine.
Sau226 added a subscriber: DScowlsend.
Sau226 removed a subscriber: DScowlsend.
Hispano76 closed this task as Resolved.Aug 12 2018, 14:18
Hispano76 reopened this task as Open.
Hispano76 assigned this task to Paladox.
Hispano76 removed Paladox as the assignee of this task.
Hispano76 added a subscriber: Paladox.
Paladox added a comment.Sep 6 2018, 17:15

Any updates?

John added a comment.Sep 6 2018, 17:18

It's a task waiting to be started. Of course there's no updates.

AmandaCath changed the task status from Open to Stalled.Sep 30 2018, 17:53

Stalled, no activity in close to a month, and even a month ago John said that no progress had been made yet.

John changed the task status from Stalled to Open.Sep 30 2018, 18:00

Stalled on nothing.

MacFan4000 lowered the priority of this task from Normal to Low.Oct 15 2018, 14:27
MacFan4000 added a project: Developer.
John moved this task from Backlog to MediaWiki on the Goal-2019-Jan-Jun board.Dec 4 2018, 18:58
Corey added a subscriber: Corey.Jan 1 2019, 09:41

So, I tried this on my test wiki, and I couldn’t get it to work properly.

How did you have the inter wiki link set up?

I’ve managed to get this to work on a localhost installation by creating a link that looks like this:

https://$1.miraheze.org/wiki/$2

Links are being declared like this:
[[mh:meta:Main_Page]]

@Corey How did you manage that? :)

I’ve added a prefix called mh on test1wiki and it doesn’t work. If I try to use it I am taken to a page that my browser fails to open.

Corey added a comment.Jan 2 2019, 06:23

I’ve added a prefix called mh on test1wiki and it doesn’t work. If I try to use it I am taken to a page that my browser fails to open.

Alrighty, so I've been able to recreate that issue and found a workaround that doesn't cause this issue.

If you take a look at my sandbox page over on the Kingkiller Wiki you can see working examples of this.

We want to construct our interwiki links with the following format:
[[miraheze:<communityname>:<page>]]

So we'll need to create interwiki links for each community (should be relatively easy to automate), I've only created two, one for meta.miraheze.org and one for test.miraheze.org, just to be quick. Make sure the miraheze: link has Forward set to true so we can forward a community name/page name pair.

Here's a link to Miraheze's MetaWiki Main Page: [[miraheze:meta:Main_Page]]
The same works for links to Miraheze's TestWiki: [[miraheze:test:Main_Page]]

@Reception123 @MacFan4000

Void claimed this task.Jan 8 2019, 02:32
Void moved this task from Requires a developer to Being worked on on the Developer board.
Void closed this task as Resolved.Jan 10 2019, 21:43